Getting Started with the Kendo UI for Vue Native Barcodes

Updated on Jul 29, 2026

This guide provides essential information about using the Kendo UI for Vue Native Barcodes package—you will learn how to install the package, add Barcodes to your project, style the components, and activate your license. The steps demonstrated in this guide are applicable to all Kendo UI for Vue Native Barcodes.

ninja-iconThe Barcodes are part of Kendo UI for Vue, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.Start Free Trial

After completing this guide, you will be able to reproduce the following example.

Loading ...

Install the Component

To install the Barcodes package, run the following command in the root folder of your Vue project:

sh
npm i @progress/kendo-vue-barcodes

Importing the Components

After installing the Barcodes package, import the desired components in the Vue App. This guide shows how to add the Barcode.

In the App component file of your Vue project (for example, src/App.vue), add the following code:

js
import { Barcode } from '@progress/kendo-vue-barcodes';

If your project requires more Barcodes, you can import them too. The Barcodes package provides the following components:

  • Barcode
  • QR Code

Using the Components

  1. After installing the Barcodes package and importing the components, add the Barcode to the App component file of your Vue project (for example, src/App.vue).

    html
    <template>
      <Barcode :type="'EAN13'" :value="'123456789012'" />
    </template>
    <script setup>
    import { Barcode } from '@progress/kendo-vue-barcodes';
    </script>
  2. To style the Barcode, install and import the Default theme, which is one of several beautiful themes for Kendo UI for Vue.

    2.1. Install the Default theme package.

    sh
    npm i @progress/kendo-theme-default

    2.2. Import the CSS file from the package in main.js.

    js
    import '@progress/kendo-theme-default/dist/all.css';
  3. Build and run the application by typing the following command in the root folder of your project:

    sh
    npm start

Activating Your License Key

For information on activating your license, see the Set Up Your Kendo UI for Vue License Key page.

Dependencies

The Barcodes package requires you to install the following peer dependencies in your application:

Package NameDescription
vue 3.xThe Vue 3 framework.
@progress/kendo-drawingContains the Drawing library, which provides interactive vector graphics.
@progress/kendo-licensingContains the internal infrastructure related to licensing.

Getting Started with the Kendo UI for Angular Barcodes

Updated on Apr 2, 2026

This guide provides the information you need to start using the Kendo UI for Angular Barcodes—it includes instructions about the recommended installation approach, the code for running the project, and links to additional resources.

As of version 17.0.0, Angular makes standalone component enabled by default. If you use NgModules, refer to these articles:

The standalone components in Angular streamline development by removing the need for NgModules, reducing complexity, and enhancing component reuse and modularity. This approach simplifies dependency management, making applications more maintainable and scalable.

ninja-iconThe Installation is part of Kendo UI for Angular, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.Start Free Trial

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Change Theme
Theme
Loading ...

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Components

The following command demonstrates an efficient, automated method for adding packages using the Angular CLI through the ng-add command. This approach saves time and effort by executing a series of commands in a single step, which otherwise need to be run individually. Refer to the Manual Setup for more details.

To add the Kendo UI for Angular Barcodes package:

  1. Run the following command.

    sh
    ng add @progress/kendo-angular-barcodes

    As a result, the ng-add command will perform the following actions:

    • Add the @progress/kendo-angular-barcodes package as a dependency to the package.json file.
    • Add all required peer dependencies to the package.json file.
    • Register the Kendo UI Default theme in the angular.json file.
    • Trigger npm install to install the theme and all peer packages that are added.
  2. Import the required components, directives and utility arrays:

    The utility arrays are available starting from v16.6.0. If you use an older version of the package, please follow the approach from the Using Kendo Angular Components with NgModules article.

    • To add all components from the Barcodes package, import the KENDO_BARCODES utility array in your standalone component.

      ts
      import { Component } from '@angular/core';
      import { KENDO_BARCODES } from '@progress/kendo-angular-barcodes';
      
      @Component({
          standalone: true,
          selector: 'my-app',
          imports: [KENDO_BARCODES]
      })
    • To add individual Barcodes components, import the corresponding utility arrays in your standalone component. See the list of available utility arrays.

      For example if you only need the QRCode component, import KENDO_QRCODE.

      ts
      import { Component } from '@angular/core';
      import { KENDO_QRCODE } from '@progress/kendo-angular-barcodes';
      
      @Component({
          standalone: true,
          selector: 'my-app',
          imports: [KENDO_QRCODE]
      })

Using the Components

  1. After successfully installing the Barcodes package and importing the required components and directives, add the corresponding tags of the components you need in the app.component.html. For example, if you need the Barcode, add the following code:

    html
    <kendo-barcode type="EAN8" value="1234567"> </kendo-barcode>
  2. Build and serve the application by running the following command in the root folder.

    sh
    ng serve
  3. Point your browser to http://localhost:4200 to see the Kendo UI for Angular Barcode component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Learning Resources